Catalogs

List catalogs

GET
/v1/catalogs

Scope: library:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/catalogs'
Example Response
{  "catalogs": [    {      "id": "4b54da62-440b-4d7b-a444-adc67ee83db0",      "name": "pasted-list",      "source": "csv",      "status": "ready",      "rowCount": 1,      "titleCount": 0,      "createdAt": "2026-10-30T08:58:34.333Z"    },    {      "id": "5fe2d7d1-bb43-4eb8-879c-099064c76f81",      "name": "pasted-list",      "source": "csv",      "status": "ready",      "rowCount": 1,      "titleCount": 0,      "createdAt": "2026-10-30T08:58:16.202Z"    }  ]}